﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace BreadCrumbTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.DataContext = new MainPageViewModel();
            this.Loaded += this.Example_Loaded;

        }

        private void Example_Loaded(object sender, RoutedEventArgs e)
        {
            this.explorerBreadcrumb.Path = @"Desktop\Computer\Local Disk (C:)\Personal Folders";
        }

        private void explorerBreadcrumb_CurrentItemChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			this.explorerTree.BringPathIntoView(this.explorerBreadcrumb.Path);
			this.explorerTree.SelectedItem = this.explorerBreadcrumb.CurrentItem;
		}

        private void explorerTree_SelectionChanged(object sender, Telerik.Windows.Controls.SelectionChangedEventArgs e)
        {
            if (e.AddedItems.Count > 0 && this.explorerTree.ContainerFromItemRecursive(e.AddedItems[0]) != null)
            {
                this.explorerBreadcrumb.Path = this.explorerTree.ContainerFromItemRecursive(e.AddedItems[0]).FullPath;
            }
        }

    }
}
